mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.IChannelSinkBase System.Runtime.InteropServices.ComVisible(true)

Channel sinks provide a plug-in point that allows access to the underlying messages flowing through the channel as well as the stream used by the transport mechanism to send messages to a remote object. Channel sinks are linked together in a chain of channel sink providers, and all channel messages flow through this chain of sinks before the message is serialized and transported.

Provides methods used for security and transport sinks.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  The parameter contains information that was pushed onto the channel sink stack and associated with the current sink.

  Requests processing from the current sink of the response from a method call sent asynchronously.

  A stack of sinks leading back to the server transport sink. Information generated on the request side that is associated with this sink. The response message. The headers to add to the return message heading to the client. The stream heading back to the transport sink.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` `` `` ``

  This method is called when a response stream needs to be created.

  Returns the onto which the provided response message is to be serialized.

  The onto which the provided response message is to be serialized.

  A stack of sinks leading back to the server transport sink. The state that has been pushed to the stack by this sink. The response message to serialize. The headers to put in the response stream to the client.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.IServerChannelSink To be added: an object of type 'IServerChannelSink'

  Channel sinks are linked together in a chain of sink providers, and all channel messages flow through this chain before the message is serialized and transported.

  Gets the next server channel sink in the server sink chain.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Channels.ServerProcessing `` `` `` `` `` `` `` To be added: an object of type 'IServerChannelSinkStack' To be added: an object of type 'Runtime.Remoting.Messaging.IMessage' To be added: an object of type 'ITransportHeaders' To be added: an object of type 'IO.Stream' To be added: an object of type 'Runtime.Remoting.Messaging.IMessage&' To be added: an object of type 'ITransportHeaders&' To be added: an object of type 'IO.Stream&' To be added To be added: an object of type 'ServerProcessing' To be added